require 'colorize'

module DoraBox
  DEFAULT_LOG = 1
  HIGHLIGHT_LOG = 2
  ERROR_LOG = 3
  WARNING = 4

  class Logger

    def self.log_with_type(sentence, type)
      case type
      when DEFAULT_LOG then puts sentence.to_s.colorize(:default)
      when HIGHLIGHT_LOG then puts sentence.to_s.colorize(:green)
      when ERROR_LOG then puts sentence.to_s.colorize(:red)
      when WARNING then puts sentence.to_s.colorize(:yellow)
      else
        puts sentence.to_s.colorize(:default)
      end
    end
  end

end